﻿Imports Aardvark.Base.Native

Public Class Form1


    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Me.DataSet1.ReadXml("../../05-2023.xml")

    End Sub

    Private Sub BT_Speichern_Click(sender As Object, e As EventArgs) Handles BT_Speichern.Click
        Me.DataSet1.WriteXml("../../05-2023.xml")
    End Sub

    Private Sub BT_zusammenfassung_Click(sender As Object, e As EventArgs) Handles BT_zusammenfassung.Click

        Dim results =
           From row In DataSet1.WeatherData
           Let dt = CDate(row.Datum_)
           Let sDate = String.Format("{0:yyyy}-{0:MM}", dt)
           Group row By key = New With {Key .MMJJ = sDate} Into Group
           Select MMJJ = key.MMJJ, LuftMaxNacht = Group.Max(Function(r) r.LuftmaxNacht), LuftMinNacht = Group.Max(Function(r) r.LuftminNacht)


        DataSet1.Wetter_MMJJ.Clear()

        For Each item In results

            Dim row As DataSet1.Wetter_MMJJRow = DataSet1.Wetter_MMJJ.NewRow
            row.MMJJ = item.MMJJ
            row.LuftminNacht = item.LuftMinNacht
            row.LuftmaxNacht = item.LuftMaxNacht
            DataSet1.Wetter_MMJJ.Rows.Add(row)
        Next


    End Sub
End Class
